Skip to main content

MCP

Voxvey exposes Model Context Protocol tools over JSON-RPC HTTP. Use MCP when you want a client or agent to discover tools with tools/list and execute one with tools/call.

Voxvey endpoint

POST https://api.voxvey.com/v1/mcp

The Voxvey MCP endpoint serves Social, Weather, and News tools.

curl https://api.voxvey.com/v1/mcp \
-H "Authorization: Bearer $VOXVEY_TOKEN" \
-H "Content-Type: application/json" \
-H "Accept: application/json, text/event-stream" \
-d '{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/list",
"params": {}
}'

Email endpoint

POST https://mail.onehelio.com/mcp

The Email MCP endpoint is served by OneMail. It supports Auth0 bearer tokens and OneMail API keys.

curl https://mail.onehelio.com/mcp \
-H "Authorization: Bearer $ONEMAIL_TOKEN" \
-H "Content-Type: application/json" \
-H "Accept: application/json, text/event-stream" \
-d '{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/list",
"params": {}
}'

Tool groups

GroupEndpointTools
SocialPOST /v1/mcpX and Truth Social search/profile tools
WeatherPOST /v1/mcpNational Weather Service forecast, alerts, and observations
NewsPOST /v1/mcpGoogle News RSS top stories, search, and feed tools
EmailPOST https://mail.onehelio.com/mcpOneMail message, contact, calendar, mailbox, and group tools

Response shape

MCP tool results are JSON-RPC responses. Tool payloads are returned as text content so clients can parse the inner JSON string when they need structured data.

{
"result": {
"content": [
{
"type": "text",
"text": "{\n \"messages\": []\n}"
}
]
},
"jsonrpc": "2.0",
"id": 2
}